#
# spec file for package thai-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           thai-fonts
Version:        0.4.17
Release:        5.10
Summary:        A Collection of Thai TrueType Fonts
License:        GPL-2.0-with-font-exception and LPPL-1.3c
Group:          System/X11/Fonts
Url:            ftp://linux.thai.net/pub/thailinux/software/thaifonts-scalable/
#Url:            http://linux.thai.net/cvs/
# cvs -d :pserver:anonymous@linux.thai.net:/home/cvs login  # blank password, just enter
# cvs -d :pserver:anonymous@linux.thai.net:/home/cvs co software/thai-ttf
Source0:        thaifonts-scalable-%{version}.tar.gz
BuildRequires:  fontpackages-devel
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch0:         build.patch
BuildRequires:  fontconfig
BuildRequires:  fontforge
%reconfigure_fonts_prereq
Provides:       locale(th)
Obsoletes:      fonts-thai < 0.4.16
Provides:       fonts-thai = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The Thai TrueType fonts included here are Norasi and Garuda from the
National Font project.

%prep
%setup -q -n thaifonts-scalable-%{version}
%patch0 -p1

%build
%configure --with-ttfdir=%{_ttfontsdir}
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f %{buildroot}%{_ttfontsdir}/encodings.dir
rm -f %{buildroot}%{_ttfontsdir}/fonts.*
mkdir -p %{buildroot}%{_fontsconfavaildir}
mv %{buildroot}/etc/fonts/conf.avail/*.conf %{buildroot}%{_fontsconfavaildir}
rm -r %{buildroot}/etc

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_ttfontsdir}
%files_fontsconf_availdir
%files_fontsconf_file 64-ttf-thai-tlwg.conf
%files_fontsconf_file 89-ttf-thai-tlwg-synthetic.conf

%changelog
* Mon Oct  8 2012 pgajdos@suse.com
- use %%files_fontsconf_availdir and %%files_fontsconf_file macros
* Tue Oct  2 2012 pgajdos@suse.com
- moved /etc/fonts/conf.avail/*.conf to /usr/share/%%{name}/conf.avail/
  as /etc/fonts/conf.avail is obsoleted with fontconfig 2.10
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Wed Mar 14 2012 cfarrell@suse.com
- license update: GPL-2.0-with-font-exception and LPPL-1.3c
  This package is not public domain. Also, use SPDX format
* Wed Feb  1 2012 pgajdos@suse.com
- updated to 0.4.17:
  * Build-depends on ThaiLaTeX and uses the shared resource from there
  * Supports automated distributed ZIP preparation for CTAN upload.
  * Other cleanups.
* Wed Feb  1 2012 pgajdos@suse.com
- renamed to thai-fonts
* Mon Oct 31 2011 pgajdos@suse.com
- updated to 0.4.16:
  - Fix GSUB rules to correctly remove YO YING descender when combined with
    both lower and upper characters
  - Clear improper fraction rules in monospace fonts.
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Mon May 23 2011 pgajdos@novell.com
- updated to 0.4.15 (see NEWS)
* Mon Aug 30 2010 pgajdos@suse.cz
- updated to 0.4.14 (see NEWS)
* Thu Apr  8 2010 tiwai@suse.de
- removed unnecessary buidlrequires
- minor clean-up of filelist
* Mon Dec  7 2009 pgajdos@suse.cz
- updated to 0.4.13 (see NEWS)
- some spec file cleanups
* Fri Aug  4 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/ in STABLE (paths changed
  because of the move to Xorg X11R7).
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(th)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 15 2005 uli@suse.de
- update -> 0.4.3.1, build from source (DBThaiText* dropped due
  to licensing issues, new fonts Loma, TlwgMono, TlwgTypewriter)
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Thu Mar 18 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Sat Feb 14 2004 mfabian@suse.de
- don't build as root
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Fri Jun 13 2003 mfabian@suse.de
- add %%dir /usr/X11R6/lib/X11/fonts/truetype/ to file list.
* Tue May 27 2003 mfabian@suse.de
- new package: fonts-thai version 0.cvs.20030527
